Bug 1032607 - [abrt] darktable-1.2.3-1.fc19: dt_image_init: Process /usr/bin/darktable was killed by signal 4 (SIGILL)
[abrt] darktable-1.2.3-1.fc19: dt_image_init: Process /usr/bin/darktable was ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: darktable (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edouard Bourguignon
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:79223638958ba422c6701804140...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 08:09 EST by rootserwis
Modified: 2014-10-20 07:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.25 KB, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details
File: core_backtrace (17.96 KB, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details
File: dso_list (10.61 KB, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details
File: environ (1.23 KB, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details
File: exploitable (103 bytes, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details
File: maps (31.85 KB, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details
File: open_fds (480 bytes, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details
File: proc_pid_status (788 bytes, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details
File: var_log_messages (238 bytes, text/plain)
2013-11-20 08:10 EST, rootserwis
no flags Details

  None (edit)
Description rootserwis 2013-11-20 08:09:51 EST
Version-Release number of selected component:
darktable-1.2.3-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        darktable
crash_function: dt_image_init
executable:     /usr/bin/darktable
kernel:         3.11.8-200.fc19.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 dt_image_init at /usr/src/debug/darktable-1.2.3/src/common/image.c:685
 #1 dt_image_cache_init at /usr/src/debug/darktable-1.2.3/src/common/image_cache.c:153
 #2 dt_init at /usr/src/debug/darktable-1.2.3/src/common/darktable.c:649
Comment 1 rootserwis 2013-11-20 08:10:00 EST
Created attachment 826629 [details]
File: backtrace
Comment 2 rootserwis 2013-11-20 08:10:03 EST
Created attachment 826630 [details]
File: cgroup
Comment 3 rootserwis 2013-11-20 08:10:07 EST
Created attachment 826631 [details]
File: core_backtrace
Comment 4 rootserwis 2013-11-20 08:10:11 EST
Created attachment 826632 [details]
File: dso_list
Comment 5 rootserwis 2013-11-20 08:10:14 EST
Created attachment 826633 [details]
File: environ
Comment 6 rootserwis 2013-11-20 08:10:18 EST
Created attachment 826634 [details]
File: exploitable
Comment 7 rootserwis 2013-11-20 08:10:21 EST
Created attachment 826635 [details]
File: limits
Comment 8 rootserwis 2013-11-20 08:10:24 EST
Created attachment 826636 [details]
File: maps
Comment 9 rootserwis 2013-11-20 08:10:28 EST
Created attachment 826637 [details]
File: open_fds
Comment 10 rootserwis 2013-11-20 08:10:35 EST
Created attachment 826638 [details]
File: proc_pid_status
Comment 11 rootserwis 2013-11-20 08:10:38 EST
Created attachment 826639 [details]
File: var_log_messages
Comment 12 Edouard Bourguignon 2014-01-15 02:58:00 EST
crash during dt_init could result from bad config or database in your ~/.config/darktable directory. Could you try to rename this directory and see if darktable still crash?

btw darktable 1.4 is in updates-testing.

Note You need to log in before you can comment on or make changes to this bug.